Skip to main content
GET
/
data-planes
List data planes
curl --request GET \
  --url https://api-dev.narrative.io/data-planes \
  --header 'Authorization: Bearer <token>'
{
  "records": [
    {
      "type": "owned",
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "company_id": 123,
      "created_at": "2023-11-07T05:31:56Z",
      "display_name": "<string>",
      "external_id": "<string>",
      "platform": {
        "type": "platform_aws",
        "region": "<string>"
      },
      "status": "active",
      "updated_at": "2023-11-07T05:31:56Z",
      "collaborators": {
        "participants": {
          "type": "all"
        }
      },
      "description": "<string>",
      "last_heartbeat_at": "2023-11-07T05:31:56Z",
      "tags": [
        "<string>"
      ],
      "default_compute_pool_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "compute_pools": [
        {
          "type": "owned",
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "company_id": 123,
          "data_plane_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "external_id": {
            "type": "snowflake_warehouse",
            "name": "<string>",
            "alias": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
          },
          "name": "<string>",
          "display_name": "<string>",
          "status": "active",
          "created_at": "2023-11-07T05:31:56Z",
          "tags": [
            "<string>"
          ],
          "provider": {
            "type": "snowflake_warehouse",
            "size": "x-small",
            "warehouse_type": "standard",
            "auto_suspend": 123,
            "auto_resume": true,
            "min_cluster_count": 123,
            "max_cluster_count": 123,
            "scaling_policy": "standard",
            "max_concurrency_level": 123,
            "statement_queued_timeout_in_seconds": 123,
            "statement_timeout_in_seconds": 123,
            "enable_query_acceleration": true,
            "query_acceleration_max_scale_factor": 123,
            "resource_constraint": "<string>",
            "comment": "<string>"
          },
          "collaborators": {
            "use": {
              "type": "all"
            }
          },
          "description": "<string>",
          "updated_at": "2023-11-07T05:31:56Z"
        }
      ]
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Response

200 - application/json

OK

records
object[]
required